import { type BundlerChain, type ChainIdentifier, type NormalizedConfig } from '@rsbuild/shared';
import type { BabelConfigUtils, BabelLoaderOptions, BabelTransformOptions, PluginBabelOptions } from './types';
export declare const BABEL_JS_RULE = "babel-js";
export declare const getBabelUtils: (config: BabelTransformOptions) => BabelConfigUtils;
export declare const applyUserBabelConfig: (defaultOptions: BabelLoaderOptions, userBabelConfig?: PluginBabelOptions['babelLoaderOptions'], extraBabelUtils?: Partial<BabelConfigUtils>) => BabelLoaderOptions;
export declare const getUseBuiltIns: (config: NormalizedConfig) => false | "usage" | "entry";
export declare const modifyBabelLoaderOptions: ({ chain, CHAIN_ID, modifier, }: {
    chain: BundlerChain;
    CHAIN_ID: ChainIdentifier;
    modifier: (config: BabelTransformOptions) => BabelTransformOptions;
}) => void;
